

cc.Class({
    extends: cc.Component,

    properties: {
        isSelected: {
            get: function() {
                if (!this._isSelected) {
                    this._isSelected = false;
                }
                return this._isSelected;
            },
            set: function(value) {
                this._isSelected = value;
                if (this._isSelected) {
                    this.selectedNode.active = true;
                    this.normalNode.active = false;
                } else {
                    this.selectedNode.active = false;
                    this.normalNode.active = true;
                }
            }
        },

        selectedNode: cc.Node,

        normalNode: cc.Node,
        pageLabel: cc.Label,

        indicatorIndex: 0,
    },

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {},

    start () {

    },

    // update (dt) {},
});
